2005-03-31  Mark Salter  <msalter@redhat.com>

	* sysdeps/frv/bits/atomic.h: New file. Use kernel provided
	atomic ops.

2005-03-17  Richard Sandiford  <rsandifo@redhat.com>

	* sysdeps/unix/sysv/linux/frv/socket.S: Add unwind information for
	cancellable code.

2005-03-15  Richard Sandiford  <rsandifo@redhat.com>

	* elf/sofini.c: Unconditionally terminate .eh_frame.

2005-03-14  Richard Sandiford  <rsandifo@redhat.com>

	* sysdeps/frv/frame.h: New file.

2005-03-11  Aldy Hernandez  <aldyh@redhat.com>

	* elf/tls-macros.h (TLS_LD): Fix typo in macro for __FRV_FDPIC__
	case.

2005-02-02  Alexandre Oliva  <aoliva@redhat.com>

	* sysdeps/unix/sysv/linux/frv/sysdep.S: Move to section .text.last
	if PIC.
	* sysdeps/unix/frv/sysdep.S: Likewise.  Don't emit _errno as
	global if it's not referenced.  Reference __libc_errno within
	libc.  Reference it as TLS if USE___THREAD.

2005-01-31  Alexandre Oliva  <aoliva@redhat.com>

	2004-10-29  Alexandre Oliva  <aoliva@redhat.com>
	* sysdeps/generic/dl-tls.c (_dl_determine_tlsoffset): Use free
	range even if it doesn't match exactly.

2004-11-29  Alexandre Oliva  <aoliva@redhat.com>

	* elf/rtld.c (dl_main): Decrement dl_nloaded if dl_rtld_map was
	removed from the loaded chain.

2004-11-22  Alexandre Oliva  <aoliva@redhat.com>

	* sysdeps/generic/dl-tls.c (_dl_determine_tlsoffset): Handle
	executables with stricter alignment requirements than the TCB.
	(_dl_get_tls_static_info): Add reservedp argument.
	(_dl_allocate_tls_storage): Add total reserved space to the size.
	(_dl_deallocate_tls): Subtract it to get the original pointer.
	* sysdeps/generic/ldsodefs.h (_dl_tls_static_tcb_offset): New.
	(TLS_STATIC_RESERVED_SIZE): Define.
	(_dl_get_tls_static_info): Adjust prototype.
	* sysdeps/generic/libc-tls.c (_dl_tls_static_tcb_offset): Define.
	(__libc_setup_tls): Set it and use it.

2004-11-20  Alexandre Oliva  <aoliva@redhat.com>

	* sysdeps/generic/dl-tls.c (_dl_determine_tlsoffset): Fix typo and
	thinko in executable's TLS alignment check.

2004-11-18  Alexandre Oliva  <aoliva@redhat.com>

	* sysdeps/unix/sysv/linux/frv/configure.in: New, set
	arch_minimum_kernel.
	* sysdeps/unix/sysv/linux/frv/configure: Generated.
	* sysdeps/unix/sysv/linux/configure.in: Set the above for FR-V.
	* sysdeps/unix/sysv/linux/configure: Generated.

	* manual/.cvsignore: Add dir-add.texi.

2004-11-16  Alexandre Oliva  <aoliva@redhat.com>

	* elf/dl-reloc.c (TLS_DTV_SET_POINTER): Take back out.
	(_dl_nothread_init_static_tls): Revert.
	* sysdeps/frv/dl-fptr.c (map_generation): New.
	(_dl_make_tlsdesc): Use it.  Take unbiased in-module offsets.
	* sysdeps/frv/dl-fptr.h (struct tlsdesc): Document 8-byte
	alignment requirement.  Use unbiased in-module offsets.  Move them
	to the beginning.
	(_dl_make_tlsdesc): Adjust prototype.
	* sysdeps/frv/dl-machine.h (elf_machine_rel): Don't bias the
	offset when calling _dl_make_tlsdesc.
	* sysdeps/frv/dl-tls.h: Use unbiased, unsigned offsets for
	__tls_get_addr.
	* sysdeps/frv/dl-tlsdesc.S: Fix optimized case.  Adjust for
	unbiased offsets and absolute dtv entries.
	* sysdeps/frv/setjmp.h: Revert.  Document why it was correct.
	* sysdeps/generic/dl-tls.c: Remove new TLS_DTV_* macros.  Revert
	changes that introduced uses thereof.
	* sysdeps/generic/libc-tls.c: Likewise.

2004-11-10  Alexandre Oliva  <aoliva@redhat.com>

	* elf/dl-reloc.c (_dl_try_allocate_static_tls): Move out of...
	(_dl_allocate_static_tls): ... this.
	(TLS_DTV_SET_POINTER): Define default.
	(_dl_nothread_init_static_tls): Use it.
	(TRY_STATIC_TLS): New.
	* elf/elf.h (R_FRV_TLSDESC_VALUE, R_FRV_TLSOFF): New.
	* elf/rtld.c (_dl_start): Use DL_RELOC_ADDR to relocate TLS
	section address.
	* elf/tls-macros.h: Add FR-V section.
	* sysdeps/frv/Makefile (sysdep-dl-routines): Add dl-tlsdesc.
	(gen-as-const-headers): Add tlsdesc.sym.
	* sysdeps/frv/dl-fptr.c: Generalize hash table implementation.
	Use it for TLS descriptor hash table.
	(hash_pointer): Renamed to...
	(hash_fdesc): ... this.  Simplified.
	(eq_fdesc): New.
	(hash_tlsdesc, eq_tlsdesc, _dl_make_tlsdesc): New.
	* sysdeps/frv/dl-fptr.h: New.
	* sysdeps/frv/dl-machien.h (elf_machine_type_class): Define for
	TLS relocations.
	(_dl_tlsdesc_return, _dl_tlsdesc_dynamic): Declare.
	(elf_machine_rel): Apply TLS relocations.
	* sysdeps/frv/dl-sysdep.h (__program_load_map): Declare.
	(DL_STATIC_RELOC_ADDR): New, use it.
	* sysdeps/frv/dl-tls.h: New.
	* sysdeps/frv/dl-tlsdesc.S: New.
	* sysdeps/frv/tlsdesc.sym: New.
	* sysdeps/frv/bits/link.h (struct link_map_machine):
	Add tlsdesc_table.
	* sysdeps/frv/bits/setjmp.h: Protect against multiple inclusion.
	Enable inclusion from pthread.h.
	(__SETJMP_NUM_INT, __SETJMP_NUM_DBL): Define to built-in compiler
	macros.
	* sysdeps/frv/elf/configure.in: New.
	* sysdeps/frv/elf/configure: New.
	* sysdeps/frv/elf/crtstart.S: Store program's load map in
	__data_start, now also known as __program_load_map.
	* sysdeps/generic/dl-tls.c (TLS_DTV_UNALLOCATED,
	TLS_DTV_INSTALL_ENTRY, TLS_DTV_INSTALL_UNALLOCATED_ENTRY,
	TLS_DTV_ALLOCATED_ENTRY_P, TLS_DTV_GET_POINTER,
	TLS_DTV_SET_POINTER): New defaults.
	(_dl_determine_tlsoffset): Use new macros.  Honor
	TLS_FIXED_EXEC_TCB_OFFSET.  Take TLS_PRE_TCB_SIZE into account for
	alignment.
	(_dl_allocate_tls_storage): Assume _dl_determine_tlsoffset took
	TLS_PRE_TCB_SIZE's alignment requirements into account.
	(_dl_deallcoate_tls): Likewise.
	(_dl_allocate_tls_init): Fix typo in comment.  Use new macros.
	(__tls_get_addr): Use new macros.
	* sysdeps/generic/ldsodefs.h (DL_STATIC_RELOC_ADDR): New default.
	* sysdeps/generic/libc-tls.c (__libc_setup_tls): Use it to
	relocate the TLS base address.  Use the macro below too.  Split
	ofst out of p.
	(TLS_DTV_INSTALL_ENTRY): Define default.
	* sysdeps/unix/sysv/linux/frv/clone.S: Add NPTL support.
	* sysdeps/unix/sysv/linux/frv/sysdep.h: Don't include config.h.
	* sysdeps/unix/sysv/linux/frv/bits/setjmp.h: Removed duplicate.

2004-07-28  Alexandre Oliva  <aoliva@redhat.com>

	* sysdeps/frv/bits/elf-fdpic.h (__reloc_pointer): Relocate pointer
	one past the end of the last segment.  Mark function as pure.

2004-07-13  Alexandre Oliva  <aoliva@redhat.com>

	* sysdeps/frv/dl-sysdep.h (ELF_PREFERRED_ADDRESS): New.

	* elf/dynamic-link.h (elf_get_dynamic_info): Call
	ELF_MACHINE_DYN_FINISH if it's defined.
	* sysdeps/frv/dl-machine.h (ELF_MACHINE_DYN_FINISH): Define, split
	out of...
	(elf_machine_runtime_setup): ... this.
	* sysdeps/frv/dl-sysdep.h (DL_INIT_LOADADDR_EXEC): Don't override
	got_value if rtld_is_main.

2004-07-06  Alexandre Oliva  <aoliva@redhat.com>

	* sysdeps/unix/sysv/linux/frv/vfork.S: New.

	* sysdeps/unix/sysv/linux/frv/socket.S: Fix multi-threaded
	cancellable code path.  Optimize single-threaded non-error return
	path.

2004-07-01  Alexandre Oliva  <aoliva@redhat.com>

	* sysdeps/unix/sysv/linux/frv/clone.S: Set gr8 to -EINVAL when
	appropriate.

2004-06-09  Alexandre Oliva  <aoliva@redhat.com>

	* sysdeps/frv/dl-machine.h (RTLD_START:_dl_start_user): Pass the
	main program's link_map to _dl_init.

2004-06-08  Alexandre Oliva  <aoliva@redhat.com>

	* sysdeps/frv/elf/entry.h (_start): Declare as hidden.

2004-06-01  Alexandre Oliva  <aoliva@redhat.com>

	* sysdeps/frv/Makefile ($(objpfx)start.os): New.

2004-05-28  Alexandre Oliva  <aoliva@redhat.com>

	* elf/dl-load.c (_dl_map_object_from_fd): Fix verification of mmap
	return value when mapping segment from shared object.

2004-05-20  Alexandre Oliva  <aoliva@redhat.com>

	* sysdeps/unix/sysv/linux/frv/bits/stat.h (_STAT_VER_LINUX): Make
	it the same as _STAT_VER_KERNEL.

2004-05-18  Alexandre Oliva  <aoliva@redhat.com>

	* sysdeps/unix/sysv/linux/frv/kernel_stat.h: Revamped stat data
	structures.
	* sysdeps/unix/sysv/linux/frv/bits/stat.h: Likewise.
	* sysdeps/unix/sysv/linux/frv/fxstat.c: Removed.
	* sysdeps/unix/sysv/linux/frv/fxstat64.c: Removed.
	* sysdeps/unix/sysv/linux/frv/lxstat.c: Removed.
	* sysdeps/unix/sysv/linux/frv/lxstat64.c: Removed.
	* sysdeps/unix/sysv/linux/frv/xstat.c: Removed.
	* sysdeps/unix/sysv/linux/frv/xstat64.c: Removed.

2004-05-13  Alexandre Oliva  <aoliva@redhat.com>

	* elf/dl-addr.c (_dl_addr): Don't attempt to relocate address one
	past the end of the address space of a module.  Fix accidental,
	harmless but confusing use of `l' instead of `match'.
	* sysdeps/frv/dl-fptr.c (_dl_lookup_address): Adjust address of
	function descriptor to address of entry point.

2004-05-12  Alexandre Oliva  <aoliva@redhat.com>

	* sysdeps/frv/dl-machine.h (elf_machine_rel): Do no discard addend
	from R_FRV_FUNCDESC relocation.
	* sysdeps/frv/dl-fptr.c (_dl_make_fptr): Remove FIXME for
	already-fixed locking problem.

2004-05-03  Alexandre Oliva  <aoliva@redhat.com>

	* sysdeps/unix/sysv/linux/frv/xstat.c: Use stat64 syscall.
	* sysdeps/unix/sysv/linux/frv/fxstat.c: Use fstat64 syscall.
	* sysdeps/unix/sysv/linux/frv/lxstat.c: Use xstat64 syscall.
	* sysdeps/unix/sysv/linux/frv/xstat64.c: New.
	* sysdeps/unix/sysv/linux/frv/fxstat64.c: New.
	* sysdeps/unix/sysv/linux/frv/lxstat64.c: New.

2004-05-02  Alexandre Oliva  <aoliva@redhat.com>

	* sysdeps/frv/wordcopy.c (dop_t): Remove.
	(_wordcopy_fwd_aligned, _wordcopy_bwd_aligned): Align output to
	dword first, then use dword writes even if input is not
	dword-aligned.  Copy words that don't fit in the 8-word loop
	kernel at the end.
	
	* sysdeps/frv/memcopy.h (op_t): Revert to unsigned long int.
	* sysdeps/frv/wordcopy.c (dop_t): New.
	(_wordcopy_fwd_aligned, _wordcopy_bwd_aligned): Handle the case of
	copying aligned words that are misaligned for copying as dwords.
	(op_t): Don't override for...
	(_wordcopy_fwd_dest_aligned, _wordcopy_bwd_dest_aligned): Don't
	halve len.

2004-05-01  Alexandre Oliva  <aoliva@redhat.com>

	* sysdeps/frv/memcopy.h: New.
	* sysdeps/frv/wordcopy.c: New.

2004-04-30  Alexandre Oliva  <aoliva@redhat.com>

	* sysdeps/frv/dl-fptr.c (htab_delete, _dl_unmap): Explain why it's
	safe to call free() here.
	(htab_expand): Don't call free() from here.
	(_dl_debug_addr): New.
	* sysdeps/frv/Version: Export _dl_debug_addr as GLIBC_PRIVATE.

2004-04-14  Alexandre Oliva  <aoliva@redhat.com>

	* sysdeps/generic/ldsodefs.h (DL_INIT_LOADADDR): Merged into...
	(DL_INIT_LOADADDR_MAP, DL_INIT_LOADADDR_EXEC): ... these.
	* sysdeps/frv/dl-sysdep.h (DL_INIT_LOADADDR): Likewise.
	* elf/rtld.c: Don't call it.
	* elf/dl-load.c: Likewise.
	* sysdeps/frv/dl-fptr.c (htab_find_slot): Support non-insert
	searches.
	(_dl_funcdesc_for): Deleted.
	(_dl_make_fptr): Hold dl_load_lock while active.
	(_dl_lookup_address): Search hash tables for function
	descriptors.
	* sysdeps/unix/sysv/linux/frv/sysdep.h (SYSCALL_ERROR_HANDLER):
	Set return value to -1 in rtld-errno and non-reentrant cases.  For
	the other cases, optimize while avoiding clobbering the caller's
	stack.

2004-04-10  Alexandre Oliva  <aoliva@redhat.com>

	* sysdeps/generic/ldsodefs.h (D_PTR): Use DL_RELOC_ADDR.
	(LOOKUP_VALUE_ADDRESS): Use DL_LOADADDR_ID.
	(DL_SYMBOL_ADDRESS): use DL_RELOC_LOOKUP_ADDR.
	(DL_LOADADDR_TYPE, DL_INIT_LOADADDR, DL_INIT_LOADADDR_MAP,
	DL_INIT_LOADADDR_EXEC, DL_RELOC_ADDR, DL_RELOC_LOOKUP_ADDR,
	DL_UNRELOC_ADDR, DL_MAIN_PROG_LOADADDR, DL_NONZERO_RELOC,
	DL_LOADADDR_ID, DL_LOAD_AS_PIE, elf_machine_relocated_dynamic):
	New.
	* elf/dl-addr.c (_dl_addr): Use DL_RELOC_ADDR.
	* elf/dl-close.c (_dl_close): Likewise.
	* elf/dl-fini.c (_dl_fini): Likewise.
	* elf/dl-init.c (call_init, _dl_init): Likewise.
	* elf/dl-profile.c (_dl_start_profile): Likewise.
	* elf/dl-reloc.c (_dl_relocate_object): Likewise.
	* elf/dl-version.c (match_symbol, _dl_check_map_versions):
	Likewise.
	* elf/do-rel.h (DO_ELF_MACHINE_REL_RELATIVE): Likewise.
	(elf_dynamic_do_rel): Likewise.  Use DL_LOADADDR_TYPE and
	DL_NONZERO_RELOC.
	* elf/dynamic-link.h (DL_RO_DYN_SECTION): Likewise.
	(elf_machine_rel_relative, elf_machine_rela_relative): Use
	DL_LOADADDR_TYPE.
	(ADJUST_DYN_INFO): Use DL_RELOC_ADDR.
	* elf/sprof.c (load_shobj): Likewise.
	(load_profdata): Use DL_UNRELOC_ADDR.
	* elf/dl-runtime.c (fixup, profile_fixup): Use DL_RELOC_ADDR and
	DL_RELOC_LOOKUP_ADDR.
	* sysdeps/generic/dl-symaddr.c (_dl_symbol_address): Use
	DL_RELOC_LOOKUP_ADDR.
	* elf/dl-iteratephdr.c (dl_iterate_phdr): Use
	DL_MAIN_PROG_LOADADDR.
	* elf/dl-load.c (_dl_map_object_from_fd): Use DL_LOAD_AS_PIE,
	DL_INIT_LOADADDR, DL_INIT_LOADADDR_MAP.  Save base load address in
	mapbaseaddr and use it instead of DL_RELOC_ADDR.
	* elf/rtld.c (_dl_start): Use elf_machine_relocated_dynamic,
	DL_NONZERO_RELOC.
	(match_version): Use DL_RELOC_ADDR.
	(dl_main): Likewise.  Use DL_INIT_LOADADDR_EXEC, DL_NONZERO_RELOC,
	DL_INIT_LOADADDR and DL_INIT_LOADADDR_FINISH.
	(print_statistics): Use DL_NONZERO_RELOC.
	* elf/link.h: Include bits/elf-fdpic.h for __FRV_FDPIC__.
	(struct link_map::l_addr): Change type to elf32_fdpic_loadaddr.
	(struct dl_phdr_info::dlpi_addr): Likewise.
	* include/link.h: Enable modified types like above.
	* sysdeps/frv/Makefile: Install bits/elf-fdpic.h.  Build
	dl-sysaddr, dl-fptr and crtreloc into dynamic loader.
	* sysdeps/frv/Versions: Add function descriptor-related symbols to
	GLIBC_PRIVATE.
	* sysdeps/frv/dl-fptr.c: New.
	* sysdeps/frv/dl-machine.h (ELF_MACHINE_PLTREL_OVERLAP): New.
	(struct frv_local_t, frv_local): New.
	(frv_prog_load_map, frv_ldso_load_map, frv_ldso_dynamic_ptr): New.
	(elf_machine_matches_host): Require EF_FRV_FDPIC bit.
	(elf_machine_dynamic): Remove.
	(elf_machine_relocated_dynamic): New.
	(elf_machine_load_address): Return a DL_LOADADDR_TYPE initialized
	from one of the kernel-supplied loadmaps.
	(elf_machine_runtime_setup): Implement.
	(ELF_MACHINE_RUNTIME_TRAMPOLINE): Likewise.
	(RTLD_START): Likewise.
	(RTLD_START_SPECIAL_INIT): Remove.
	(ELF_MACHINE_START_ADDRESS): Implement.
	(elf_machine_fixup_plt): Implement.
	(elf_machine_plt_value): Implement.
	(elf_machine_rel_relative): Adjust type of l_addr.
	(elf_machine_rel): Implement.
	(elf_machine_lazy_rel): Adjust type of l_addr.  Implement.
	(DL_RO_DYN_SECTION): Moved to...
	* sysdeps/frv/dl-lookupcfg.h: New.
	* sysdeps/frv/dl-sysdep.h: New.
	* sysdeps/frv/bits/link.h: New.
	* sysdeps/frv/elf/entry.h: New.
	* sysdeps/frv/elf/initfini.c: New.
	* sysdeps/frv/bits/elf-fdpic.h: Add run-time license exception.
	* sysdeps/frv/elf/crtreloc.c: Likewise.
	* sysdeps/frv/elf/crtstart.S: Likewise.  Ensure stack alignment.
	Pass arguments that __libc_start_main expects.
	* sysdeps/unix/sysv/linux/frv/clone.S: Adjust error handling.
	* sysdeps/unix/sysv/linux/frv/bits/syscalls.h: Removed.
	* sysdeps/unix/sysv/linux/frv/sys/ucontext.h: Prefix all register
	names with REG_.

2004-02-27  Alexandre Oliva  <aoliva@redhat.com>

	* configure.in: Add frv machine.  Use `!' as asm line separator.
	* configure: Rebuilt.
	* elf/elf.h (EM_CYGNUS_FRV, R_FRV_NONE, R_FRV_32, R_FRV_FUNCDESC,
	R_FRV_FUNCDESC_VALUE, EF_FRV_PIC, EF_FRV_FDPIC): New.
	* include/link.h: Include bits/elf-fdpic.h.
	(struct link_map) Prepare to use elf32_fdpic_loadaddr as l_addr.
	(struct dl_phdr_info): Likewise.
	* shlib-versions: Default to 2.3.4 on frv-linux.
	* sysdeps/frv/bits/elf-fdpic.h: New.
	* sysdeps/frv/bits/endian.h: New.
	* sysdeps/frv/bits/setjmp.h: New.
	* sysdeps/frv/bsd-_setjmp.S: New.
	* sysdeps/frv/bsd-setjmp.S: New.
	* sysdeps/frv/divdi3.c: New.
	* sysdeps/frv/dl-machine.h: New.
	* sysdeps/frv/elf/crtreloc.c: New.
	* sysdeps/frv/elf/crtstart.S: New.
	* sysdeps/frv/gmp-mparam.h: New.
	* sysdeps/frv/Implies: New.
	* sysdeps/frv/__longjmp.S: New.
	* sysdeps/frv/Makefile: New.
	* sysdeps/frv/memusage.h: New.
	* sysdeps/frv/setjmp.S: New.
	* sysdeps/frv/stackinfo.h: New.
	* sysdeps/frv/sysdep.h: New.
	* sysdeps/frv/Versions: New.
	* sysdeps/unix/frv/sysdep.h: New.
	* sysdeps/unix/frv/sysdep.S: New.
	* sysdeps/unix/sysv/linux/frv/bits/fcntl.h: New.
	* sysdeps/unix/sysv/linux/frv/bits/mman.h: New.
	* sysdeps/unix/sysv/linux/frv/bits/setjmp.h: New.
	* sysdeps/unix/sysv/linux/frv/bits/stat.h: New.
	* sysdeps/unix/sysv/linux/frv/bits/syscalls.h: New.
	* sysdeps/unix/sysv/linux/frv/brk.c: New.
	* sysdeps/unix/sysv/linux/frv/chown.c: New.
	* sysdeps/unix/sysv/linux/frv/clone.S: New.
	* sysdeps/unix/sysv/linux/frv/Dist: New.
	* sysdeps/unix/sysv/linux/frv/fchown.c: New.
	* sysdeps/unix/sysv/linux/frv/fcntl.c: New.
	* sysdeps/unix/sysv/linux/frv/fxstat.c: New.
	* sysdeps/unix/sysv/linux/frv/getegid.c: New.
	* sysdeps/unix/sysv/linux/frv/geteuid.c: New.
	* sysdeps/unix/sysv/linux/frv/getgroups.c: New.
	* sysdeps/unix/sysv/linux/frv/getresgid.c: New.
	* sysdeps/unix/sysv/linux/frv/getresuid.c: New.
	* sysdeps/unix/sysv/linux/frv/getrlimit64.c: New.
	* sysdeps/unix/sysv/linux/frv/getrlimit.c: New.
	* sysdeps/unix/sysv/linux/frv/getuid.c: New.
	* sysdeps/unix/sysv/linux/frv/kernel_stat.h: New.
	* sysdeps/unix/sysv/linux/frv/kernel_types.h: New.
	* sysdeps/unix/sysv/linux/frv/lchown.c: New.
	* sysdeps/unix/sysv/linux/frv/lockf64.c: New.
	* sysdeps/unix/sysv/linux/frv/lxstat.c: New.
	* sysdeps/unix/sysv/linux/frv/mmap.c: New.
	* sysdeps/unix/sysv/linux/frv/msgctl.c: New.
	* sysdeps/unix/sysv/linux/frv/profil-counter.h: New.
	* sysdeps/unix/sysv/linux/frv/semctl.c: New.
	* sysdeps/unix/sysv/linux/frv/setegid.c: New.
	* sysdeps/unix/sysv/linux/frv/seteuid.c: New.
	* sysdeps/unix/sysv/linux/frv/setfsgid.c: New.
	* sysdeps/unix/sysv/linux/frv/setfsuid.c: New.
	* sysdeps/unix/sysv/linux/frv/setgid.c: New.
	* sysdeps/unix/sysv/linux/frv/setgroups.c: New.
	* sysdeps/unix/sysv/linux/frv/setregid.c: New.
	* sysdeps/unix/sysv/linux/frv/setresgid.c: New.
	* sysdeps/unix/sysv/linux/frv/setresuid.c: New.
	* sysdeps/unix/sysv/linux/frv/setreuid.c: New.
	* sysdeps/unix/sysv/linux/frv/setrlimit.c: New.
	* sysdeps/unix/sysv/linux/frv/setuid.c: New.
	* sysdeps/unix/sysv/linux/frv/shmctl.c: New.
	* sysdeps/unix/sysv/linux/frv/socket.S: New.
	* sysdeps/unix/sysv/linux/frv/sys/procfs.h: New.
	* sysdeps/unix/sysv/linux/frv/sys/ptrace.h: New.
	* sysdeps/unix/sysv/linux/frv/sys/ucontext.h: New.
	* sysdeps/unix/sysv/linux/frv/syscall.S: New.
	* sysdeps/unix/sysv/linux/frv/sysdep.h: New.
	* sysdeps/unix/sysv/linux/frv/sysdep.S: New.
	* sysdeps/unix/sysv/linux/frv/xstat.c: New.
	* sysdeps/unix/sysv/linux/kernel-features.h <__FRV_FDPIC__>:
	Assume truncate64, mmap2, stat64, fcntl64 and vfork.
	* Versions.def: Add GCC_3.4 to libc.

Local Variables:
mode: change-log
change-log-default-name: "ChangeLog.RedHat"
End:
